ifeq ($(wildcard /etc/passwd),/etc/passwd)

TOPDIR = @TOPDIR@
MSGMERGE=@MSGMERGE@
HAVE_LOCALE = @HAVE_LOCALE@
HAVE_SET_IM_VALUES=@HAVE_SET_IM_VALUES@
NEED_SET_IM_VALUES_PROTO=@NEED_SET_IM_VALUES_PROTO@
prefix = @prefix@
exec_prefix = @exec_prefix@
libexecdir = @libexecdir@
bindir = @bindir@
datarootdir = @datarootdir@
datadir = @datarootdir@
mandir = @mandir@
LPR_COMMAND = @LPR_COMMAND@
LPR_CFLAGS = @LPR_CFLAGS@
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
CFLAGS = @CFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
TRANSLATE_LFLAGS = @GETTEXT_LFLAGS@
CPPFLAGS = -I$(TOPDIR) @CPPFLAGS@ -Wall -DHAVE_MMAP $(CFLAGS)
INSTALL = @INSTALL@
YUDIT_DATA = @YUDIT_DATA@
INSTALL = $(TOPDIR)/bin/install-sh -c
# Strip binary
INSTALL_PROGRAM = $(TOPDIR)/bin/install-sh -c -s
INSTALL_DATA = $(TOPDIR)/bin/install-sh -c -m 644

X_CFLAGS = @X_CFLAGS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
USE_X11 = @USE_X11@
X11_LIB = @X11_LIB@

AR = ar cr
#
# For Sun's SUNWspro compiler you need to have CC's AR 
# otherwise you get linking errors, like:
#
# SVector<SString>::__vtbl    ../stoolkit/libstoolkit.a(SStringVector.o)
# [Hint: try checking whether the first non-inlined, 
# non-pure virtual function of class SVector<SString> is defined]
#
# Todo: put this in configure.
# AR = CC -xar -o 
#
#ALL_LIBS=wsock32.lib
RANLIB=ranlib
LD= $(CXX) $(LDFLAGS)
LOCALE_DIR=/usr/share/locale
#INSTALL_DATA=/bin/cp
#INSTALL_PROGRAM=/bin/cp
MESSAGES=messages

OBJS=$(MODULES)
SPLATFORM=UNIX
SWINDOWS=X11
SWINDOW_FLAGS=$(USE_X11) $(X_CFLAGS)
#
# This TRANSLATE_LFLAGS  should not be here. But this works on solaris...
# or, does it?
ALL_LIBS=$(X_EXTRA_LIBS) $(X_LIBS) $(X11_LIB) $(LIBS) $(TRANSLATE_LFLAGS)

else
#
# TOPDIR and YUDIT_DATA is all your need.
#
TOPDIR=/Build/Yudit/yudit-2.9.6
YUDIT_DATA=/usr/share/yudit

CPPFLAGS:=$(CPPFLAGS) -nologo -DUSE_WINAPI -I$(TOPDIR)
# Zi is debug on
CXX=cl /Zi
LD=cl  /Zi
AR=lib /out:
ALL_LIBS=advapi32.lib wsock32.lib shell32.lib
SPLATFORM=WINDOWS
SWINDOWS=WIN32
SWINDOW_FLAGS=
#
# Do not define HAVE_WS2_32_DLL 
# because it wont work on Windows95
#
#SWINDOW_LIBS=user32.lib ws2_32.lib gdi32.lib imm32.lib
SWINDOW_LIBS=user32.lib gdi32.lib imm32.lib
HAVE_LOCALE=
HAVE_SET_IM_VALUES=
NEED_SET_IM_VALUES_PROTO=@NEED_SET_IM_VALUES_PROTO@
endif

ifeq (x${YUDIT_MYTOOL},x)
  MYTOOL := $(TOPDIR)/mytool/mytool
else
  MYTOOL := ${YUDIT_MYTOOL}
endif
